# LockDurationUpdated()

### event LockDurationUpdated()

This event is emitted when the cooldown period for withdrawals is updated.&#x20;

```javascript
event LockDurationUpdated(
    uint32 prevLockDuration, 
    uint32 newLockDuration
);
```

{% hint style="info" %}
The cooldown period (lock duration), is specified in seconds. Initially, the lock duration is set to 604800, equal to 1 week, however, this can be changed by a DAO vote.&#x20;

To query the current lock duration, see [lockDuration()](/developer-guides/read-functions/withdrawals/lockduration.md).&#x20;
{% endhint %}

| Parameter Name   | Type   | Description                                              |
| ---------------- | ------ | -------------------------------------------------------- |
| prevLockDuration | uint32 | The previous duration of the cooldown period, in seconds |
| newLockDuration  | uint32 | The new duration of the cooldown period, in seconds      |

### Uses

This event can be used to:

* Monitor changes in the withdrawal cooldown period

### Triggered By

This event is triggered by the following functions:

* setLockDuration()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/data-and-events/liquidity-data/lockdurationupdated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
